package com.flossom.common.core.mapper;

import com.flossom.common.core.domain.entity.WxModeServiceInfo;

import java.util.List;

/**
 * 模式服务Mapper接口
 *
 * @author flossom
 * @date 2024-02-01
 */
public interface WxModeServiceInfoMapper
{
    /**
     * 查询模式服务
     *
     * @param id 模式服务主键
     * @return 模式服务
     */
    public WxModeServiceInfo selectWxModeServiceInfoById(Long id);

    /**
     * 查询模式服务列表
     *
     * @param wxModeServiceInfo 模式服务
     * @return 模式服务集合
     */
    public List<WxModeServiceInfo> selectWxModeServiceInfoList(WxModeServiceInfo wxModeServiceInfo);

    /**
     * 新增模式服务
     *
     * @param wxModeServiceInfo 模式服务
     * @return 结果
     */
    public int insertWxModeServiceInfo(WxModeServiceInfo wxModeServiceInfo);

    /**
     * 修改模式服务
     *
     * @param wxModeServiceInfo 模式服务
     * @return 结果
     */
    public int updateWxModeServiceInfo(WxModeServiceInfo wxModeServiceInfo);

    /**
     * 删除模式服务
     *
     * @param id 模式服务主键
     * @return 结果
     */
    public int deleteWxModeServiceInfoById(Long id);

    /**
     * 批量删除模式服务
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteWxModeServiceInfoByIds(Long[] ids);
    /**
     * 删除模式服务
     *
     * @param modeId 模式服务主键
     * @return 结果
     */
    public int deleteWxModeServiceInfoByModeId(Long modeId);
}
